Bug 1419003 - No email validation in the input form on create secret page
Summary: No email validation in the input form on create secret page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: Yanping Zhang
URL:
Whiteboard: online_3.4.1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 12:14 UTC by Eduard Trott
Modified: 2017-11-09 18:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-09 18:46:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (78.93 KB, image/png)
2017-02-03 12:14 UTC, Eduard Trott
no flags Details

Description Eduard Trott 2017-02-03 12:14:55 UTC
Created attachment 1247412 [details]
Screenshot

Description of problem:
No email validation in the input form on create secret page

Version-Release number of selected component (if applicable):
$ oc version
oc v3.4.1.2
kubernetes v1.4.0+776c994
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://console.dev-preview-stg.openshift.com:443
openshift v3.4.1.2
kubernetes v1.4.0+776c994

How reproducible:
always

Steps to Reproduce:
1. go to https://console.dev-preview-stg.openshift.com/console/project/<project_id>/create-secret
2. select Image Secret in Secret type dd menu
3. input invalid value in email field

Actual results:
No errors

Expected results:
error message about invalid email value

Additional info:

Comment 1 Yadan Pei 2017-08-17 08:20:13 UTC
Checked against online-int[v3.6.171 (online version 3.5.1.79)]

1) When leaving Email empty, there is warning "Email is required" and Create button is grayed out
2) When Email is filled with invalid format, there is error message "Email must be in the form of user@domain. " and Create button is grayed out


Also checked on free-int [v3.6.171 (online version 3.5.0.20)],the same result with online-int


Move to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.